Show / Hide Table of Contents

# Interface ISelfUser

Represents the logged-in Discord user.

##### Inherited Members

IUser.AvatarId
IUser.GetAvatarUrl(ImageFormat, UInt16)
IUser.GetDefaultAvatarUrl()
IUser.Discriminator
IUser.DiscriminatorValue
IUser.IsBot
IUser.IsWebhook
IUser.Username
IUser.GetOrCreateDMChannelAsync(RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id
IMentionable.Mention
IPresence.Activity
IPresence.Status
IPresence.ActiveClients

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface ISelfUser : IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence

### Properties

| Improve this Doc View Source

#### Email

Gets the email associated with this user.

##### Declaration

    string Email { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Flags

Gets the flags that are applied to a user's account.

##### Declaration

    UserProperties Flags { get; }

##### Property Value

Type | Description
--- | ---
UserProperties | The value of flags for this user.

##### Remarks

This value is determined by bitwise OR-ing UserProperties values together.

| Improve this Doc View Source

#### IsMfaEnabled

Indicates whether or not this user has MFA enabled on their account.

##### Declaration

    bool IsMfaEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user has enabled multi-factor authentication on their account; `false` if not.

| Improve this Doc View Source

#### IsVerified

Indicates whether or not this user has their email verified.

##### Declaration

    bool IsVerified { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this user's email has been verified; `false` if not.

| Improve this Doc View Source

#### Locale

Gets the user's chosen language option.

##### Declaration

    string Locale { get; }

##### Property Value

Type | Description
--- | ---
System.String | The IETF language tag of the user's chosen region, if provided. For example, a locale of "English, US" is "en-US", "Chinese (Taiwan)" is "zh-TW", etc.

| Improve this Doc View Source

#### PremiumType

Gets the type of Nitro subscription that is active on this user's account.

##### Declaration

    PremiumType PremiumType { get; }

##### Property Value

Type | Description
--- | ---
PremiumType | The type of Nitro subscription the user subscribes to, if any.

##### Remarks

This information may only be available with the identify OAuth scope.

### Methods

| Improve this Doc View Source

#### ModifyAsync(Action<SelfUserProperties>, RequestOptions)

Modifies the user's properties.

##### Declaration

    Task ModifyAsync(Action<SelfUserProperties> func, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<SelfUserProperties> | func |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Extension Methods

UserExtensions.SendMessageAsync(IUser, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, Stream, String, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, String, String, Boolean, Embed, RequestOptions)